//--------------------------------------------------------------
// File     : main.c
// Datum    : 09.06.2013
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.0
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der CS43L22 Library
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_led.h"
#include "stm32_ub_cs43l22.h"

int main(void)
{
  ErrorStatus check;

  SystemInit(); // Quarz Einstellungen aktivieren

  // init der LEDs
  UB_Led_Init();

  // init vom CS43L22
  check=UB_CS43L22_Init();
  if(check==SUCCESS) {
    UB_Led_On(LED_GREEN);
    // abspielen der WAV in einer Endlosloop
    UB_CS43L22_PlayWAVLoop(&m32k16b_wav, 70);
  }
  else {
    UB_Led_On(LED_RED);
  }

  while(1)
  {

  }
}

